## pyres 1.5

=== requirements.txt ===
simplejson>3.0
redis>2.4.12
setproctitle>1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/PyRes.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/PyRes.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
pyres (1.5-1) unstable; urgency=low

  [ Gilles Dubuc ]

  * Initial release. (Closes: #825896)

  [ Marcelo Jorge Vieira ]

  * Bump Standards-Version to 4.0.0
  * Add myself as uploader
  * Rename binary package to python-pyres

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 07 Sep 2017 23:14:28 -0300

=== debian/control ===
Source: pyres
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.5),
               python-all,
               python-pytest,
               python-redis,
               python-setproctitle,
               python-setuptools,
               python-simplejson,
               redis-server
X-Python-Version: >= 2.7
Homepage: https://github.com/binarydud/pyres
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyres.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyres.git

Package: python-pyres
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-simplejson, python-redis, python-setproctitle
Description: Python module to provide a Resque-like job queue
 Pyres - a Resque clone
 .
 Resque is a great implementation of a job queue by the people at
 github. It's written in ruby, which is great, but I primarily work in
 python. So I took on the task of porting over the code to python and
 PyRes was the result
 .
 Project Goals
 .
 Because of some differences between ruby and python, there are a
 couple of places where I chose speed over correctness. The goal will
 be to eventually take the application and make it more pythonic
 without sacrificing the awesome functionality found in resque. At the
 same time, I hope to stay within the bounds of the original api and
 web interface.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=pyres
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -R {dir}/tests {build_dir} ; redis-server > /dev/null &
export PYBUILD_AFTER_TEST=rm -fR {build_dir}/tests ; redis-cli shutdown
export PYBUILD_TEST_ARGS=-k 'not test_worker_pids'

%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_clean:
	rm -rf pyres.egg-info .cache dump.rdb
	dh_clean

override_dh_installinit:
	dh_installinit --name=pyres_manager@ --noscripts
	dh_installinit --name=pyres_scheduler@ --noscripts
	dh_installinit --name=pyres_worker@ --noscripts

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/pyres-$1.tar.gz/" \
 https://github.com/binarydud/pyres/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
